gr::satellites::varlen_packet_tagger Class Reference

Examine input stream for sync tags and extract packet length. More...

`#include <varlen_packet_tagger.h>`

Inheritance diagram for gr::satellites::varlen_packet_tagger:
[legend]

## Public Types

typedef boost::shared_ptr< varlen_packet_tagger > | sptr

## Static Public Member Functions

static sptr | make (const std::string &sync_key, const std::string &packet_key, int length_field_size, int max_packet_size, endianness_t endianness, bool use_golay)

## Detailed Description

Examine input stream for sync tags and extract packet length.

input: stream of bits (unpacked bytes) with sync tags output: a tagged stream of bits containing just the received packets

This block uses the sync tag on the input stream to identify the header of packets. The length of each packet is extracted from the stream's header. The length of the header field and the endianness are parameters.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<varlen_packet_tagger> gr::satellites::varlen_packet_tagger::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::varlen_packet_tagger::make | ( | const std::string & | sync_key,
|  | const std::string & | packet_key,
|  | int | length_field_size,
|  | int | max_packet_size,
|  | endianness_t | endianness,
|  | bool | use_golay
| ) |  |

static

Parameters

  sync_key |
  packet_key |
  length_field_size |
  max_packet_size |
  endianness |
  use_golay | For 24-bit golay headers

The documentation for this class was generated from the following file:

- varlen_packet_tagger.h